Package org.eclipse.ecf.discovery

# Interface IServiceTypeEvent

All Superinterfaces:
  `Event`, `IContainerEvent`

All Known Implementing Classes:
  `ServiceTypeContainerEvent`

public interface IServiceTypeEvent extends IContainerEvent
Service type discovery event that provides access to service type

## Method Summary

Modifier and Type
Method
Description
`IServiceTypeID`
`getServiceTypeID()`
Get service type id for this service type event.

### Methods inherited from interface org.eclipse.ecf.core.events.IContainerEvent

`getLocalContainerID`

## Method Details

### getServiceTypeID

IServiceTypeID getServiceTypeID()
Get service type id for this service type event.

Returns:
  IServiceTypeID for this service type event. Will not be `null`.